package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.Agreement;

@Mapper
public interface AgreementMapper {

    public Agreement queryAgreement(Agreement agreement);

    public List<Agreement> queryAgreementList(Agreement agreement);

    public void saveAgreement(Agreement agreement);

    public void updateAgreement(Agreement agreement);

    public void deleteAgreement(Agreement agreement);

    public List<Agreement> queryAgreementPage(Map map);

    public Integer queryAgreementPageCount(Map map);

    public void saveAgreementBatch(List<Agreement>  agreementList);
}

